Batch update point balances for multiple credentials by their identifiers
Batch update point balances for multiple credentials by their identifiers
PATCH
/
api
/
v1
/
realms
/
{realmId}
/
credentials
/
transaction
Batch update point balances for multiple credentials by their identifiers
curl --request PATCH \
--url https://api.drip.re/api/v1/realms/{realmId}/credentials/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"value": "<string>",
"amount": 123,
"source": "<string>",
"realmPointId": "<string>"
}
],
"initiatorId": "<string>"
}
'import requests
url = "https://api.drip.re/api/v1/realms/{realmId}/credentials/transaction"
payload = {
"updates": [
{
"value": "<string>",
"amount": 123,
"source": "<string>",
"realmPointId": "<string>"
}
],
"initiatorId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updates: [{value: '<string>', amount: 123, source: '<string>', realmPointId: '<string>'}],
initiatorId: '<string>'
})
};
fetch('https://api.drip.re/api/v1/realms/{realmId}/credentials/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": [
{
"type": "<string>",
"value": "<string>",
"credentialId": "<string>",
"balance": 123,
"realmPointId": "<string>"
}
],
"errors": [
{
"type": "<string>",
"value": "<string>",
"error": "<string>"
}
]
}Authorizations
API Key
Path Parameters
Realm ID
Was this page helpful?
Previous
Transfer points from one credential to another by their identifiersTransfer points from one credential to another by their identifiers
Next
⌘I
Batch update point balances for multiple credentials by their identifiers

